#ifndef BASE64_H
#define BASE64_H


extern unsigned char *base64encode(const unsigned char *str, 
                                   unsigned   length, 
                                   unsigned  *ret_length);

extern unsigned char *base64decode( const unsigned char *str,
                                    unsigned  length, 
                                    unsigned *ret_length); 

#endif